Re: libjpeg.so.62 ??? UPDATE

Doug Alcorn (doug@lathi.net)
06 Jun 1999 20:11:17 -0400


John Archbold <j.archbold@homemail.com> writes:

> OK i ran ./configure --enable-shared --enable-static
> 
> then ran the following
> 
> make
> make install
> make install-lib
> 
> THIS INSTALLED the lib in /usr/local/lib, I also checked /etc/ld.so.conf to
> make sure it is reading that dir and it is. It is now being seen by ldconfig
> but AfterStep STILL says that libjpeg.so.62 isn't there. I ran rpm -i
> after......... and it said failed dependancies libjpeg.so.62 when it surely is

Ahh, the final piece of information to solve the puzzle.  If you
install a package from source then try to install another package by
rpm, it probably won't work.  rpm has to know that libjpeg is
installed before it will install a package that needs libjpeg.
Therefore, you need to either uninstall the libjeg you compiled from
source and install the rpm for it or get the source for afterstep and
compile it.

If you search the archive for this mailing list, there is _long_
discussion about compiling from source versus rpm packages.  I think
it was in the last few weeks.  That might shed some light on your
problems.

-- 
 (__)  Doug Alcorn
 oo /  doug@lathi.net (new)
 |_/   

--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.calderasystems.com/linuxcenter/forums/afterstep.html